local StepParent = require "scenes.battlesystem.controllers.fighters.systems.choregraphy.step.parent"
local SendDamage = StepParent:extend()

local maputils = require "scenes.battlesystem.utils"

function SendDamage:new(system, args)
  SendDamage.super.new(self, system, args)
end

function SendDamage:start()
  local power = self.arguments.power
  local accuracy = self.arguments.accuracy
  local isSpecial = self.arguments.isSpecial
  local isAerial = self.arguments.isAerial



  self.choregraphy.haveSentDamage = self.choregraphy:sendDamage(power, accuracy, isSpecial, isAerial)
  self:finish()
end

return SendDamage
